Memcached::add
Memcached::addServer
Memcached
PHP Manual

# Memcached::addByKey

(PECL memcached >= 0.1.0)

Memcached::addByKey — Add an item under a new key on a specific server

### Descrição

public bool Memcached::addByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::addByKey() is functionally equivalent to Memcached::add(), except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parâmetros

`server_key`

  A chave identificando o servidor aonde guardar o valor.

`key`

  A chave sobre a qual guardar o valor.

`value`

  O valor para guardar.

`expiration`

  O tempo de expiração, padrão é 0. Veja Tempos de Expiração para maiores informações.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha. The Memcached::getResultCode() will return `Memcached::RES_NOTSTORED` if the key already exists.

### Veja Também

- Memcached::add() - Add an item under a new key
- Memcached::set() - Store an item
- Memcached::replace() - Replace the item under an existing key

Memcached::add
Memcached::addServer
Memcached
PHP Manual